with GNATCOM.Dispinterface;

package MSHTML.IHTMLUniqueName_Interface is

   type IHTMLUniqueName_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLUniqueName_Type);

   function Pointer (This : IHTMLUniqueName_Type)
     return Pointer_To_IHTMLUniqueName;

   procedure Attach (This    : in out IHTMLUniqueName_Type;
                     Pointer : in     Pointer_To_IHTMLUniqueName);

   function Get_uniqueNumber
     (This : IHTMLUniqueName_Type)
     return Interfaces.C.long;

   function Get_uniqueID
     (This : IHTMLUniqueName_Type)
     return GNATCOM.Types.BSTR;

end MSHTML.IHTMLUniqueName_Interface;

